org.keycloak.models

## Interface ClientScopeModel

- All Superinterfaces:
    OrderedModel, ProtocolMapperContainerModel, ScopeContainerModel
  All Known Subinterfaces:
    ClientModel
  All Known Implementing Classes:
    AbstractClientModel, AbstractClientScopeModel, AbstractClientStorageAdapter, AbstractReadOnlyClientScopeAdapter, AbstractReadOnlyClientStorageAdapter, ClientAdapter, ClientAdapter, ClientModelLazyDelegate, ClientModelLazyDelegate.WithId, ClientScopeAdapter, ClientScopeAdapter, MapClientAdapter, MapClientScopeAdapter, OpenshiftSAClientAdapter, UnsupportedOperationsClientStorageAdapter

      public interface ClientScopeModel
      extends ProtocolMapperContainerModel, ScopeContainerModel, OrderedModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ClientScopeModel.ClientScopeRemovedEvent`
    `static class` | `ClientScopeModel.SearchableFields`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.OrderedModel

      `OrderedModel.OrderedModelComparator<OM extends OrderedModel>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONSENT_SCREEN_TEXT`
    `static String` | `DISPLAY_ON_CONSENT_SCREEN`
    `static String` | `GUI_ORDER`
    `static String` | `INCLUDE_IN_TOKEN_SCOPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttribute(String name)`
    `Map<String,String>` | `getAttributes()`
    `default String` | `getConsentScreenText()`
    `String` | `getDescription()`
    `default String` | `getGuiOrder()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getProtocol()`
    `RealmModel` | `getRealm()`
    `default boolean` | `isDisplayOnConsentScreen()`
    `default boolean` | `isIncludeInTokenScope()`
    `void` | `removeAttribute(String name)`
    `void` | `setAttribute(String name, String value)`
    `default void` | `setConsentScreenText(String consentScreenText)`
    `void` | `setDescription(String description)`
    `default void` | `setDisplayOnConsentScreen(boolean displayOnConsentScreen)`
    `default void` | `setGuiOrder(String guiOrder)`
    `default void` | `setIncludeInTokenScope(boolean includeInTokenScope)`
    `void` | `setName(String name)`
    `void` | `setProtocol(String protocol)`

    - ### Methods inherited from interface org.keycloak.models.ProtocolMapperContainerModel

      `addProtocolMapper, getProtocolMapperById, getProtocolMapperByName, getProtocolMappers, getProtocolMappersStream, removeProtocolMapper, updateProtocolMapper`

    - ### Methods inherited from interface org.keycloak.models.ScopeContainerModel

      `addScopeMapping, deleteScopeMapping, getRealmScopeMappings, getRealmScopeMappingsStream, getScopeMappings, getScopeMappingsStream, hasScope`

- - ### Field Detail

    - #### DISPLAY_ON_CONSENT_SCREEN

          static final String DISPLAY_ON_CONSENT_SCREEN

      See Also:
        Constant Field Values

    - #### CONSENT_SCREEN_TEXT

          static final String CONSENT_SCREEN_TEXT

      See Also:
        Constant Field Values

    - #### GUI_ORDER

          static final String GUI_ORDER

      See Also:
        Constant Field Values

    - #### INCLUDE_IN_TOKEN_SCOPE

          static final String INCLUDE_IN_TOKEN_SCOPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

    - #### getName

          String getName()

    - #### getRealm

          RealmModel getRealm()

    - #### setName

          void setName(String name)

    - #### getDescription

          String getDescription()

    - #### setDescription

          void setDescription(String description)

    - #### getProtocol

          String getProtocol()

    - #### setProtocol

          void setProtocol(String protocol)

    - #### setAttribute

          void setAttribute(String name,
                            String value)

    - #### removeAttribute

          void removeAttribute(String name)

    - #### getAttribute

          String getAttribute(String name)

    - #### getAttributes

          Map<String,String> getAttributes()

    - #### isDisplayOnConsentScreen

          default boolean isDisplayOnConsentScreen()

    - #### setDisplayOnConsentScreen

          default void setDisplayOnConsentScreen(boolean displayOnConsentScreen)

    - #### getConsentScreenText

          default String getConsentScreenText()

    - #### setConsentScreenText

          default void setConsentScreenText(String consentScreenText)

    - #### getGuiOrder

          default String getGuiOrder()

      Specified by:
        `getGuiOrder` in interface `OrderedModel`

    - #### setGuiOrder

          default void setGuiOrder(String guiOrder)

    - #### isIncludeInTokenScope

          default boolean isIncludeInTokenScope()

    - #### setIncludeInTokenScope

          default void setIncludeInTokenScope(boolean includeInTokenScope)

Copyright © 2021 JBoss by Red Hat. All rights reserved.